<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="com.rhhz.journal.web.action.ArticleAffiliationBusinessController"%>
<%@ include file="../../include/global.jsp" %>
<%@ taglib prefix="tags" tagdir="/WEB-INF/tags" %>

<%
	pageContext.setAttribute("requestPath",ArticleAffiliationBusinessController.BASE_PATH);
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
	<head>

	</head>
	<body>
		<form id="pagerForm" method="post" action="<%=path %>${requestPath}getAffiliationPage" onsubmit="return navTabSearch(this)">
			<input type="hidden" name="pageNum" value="${pagerFilter.pagePer}" />
			<input type="hidden" name="numPerPage"  value="${pagerFilter.max}"/>
			<input type="hidden" name="articleId" value="${article.id}" />
			<div class="pageHeader">
				<div class="searchBar">
					<table class="searchContent">
						<tr>
							<td>
								机构名称：
								<input type="text" class="clearValue" name="nameCn" value="${institution.nameCn }"/>
							</td>
							<td>
								地址信息：
								<input type="text" class="clearValue" name="addressCn" value="${institution.addressCn }"/>
							</td>
							<td>
								姓名：
								<input type="text" class="clearValue" name="authorName" value="${institution.authorName }"/>
							</td>
							<td>
								关键词：
								<input type="text" class="clearValue" name="keyword" value="${institution.keyword }"/>
							</td>
							<td>
								基金：
								<input type="text" class="clearValue" name="fundInfo" value="${institution.fundInfo }"/>
							</td>
						</tr>
						<tr>
							<td>
								<p>
								<span>起始日期：</span>
								<input type="text" class="date clearValue" name="beginDate" value="${institution.beginDate }"/>
								<a style="float: right;" class="inputDateButton" href="javascript:;">选择</a>
								</p>
							</td>
							<td>
								<p>
								<span>结束日期：</span>
								<input type="text" class="date clearValue" name="endDate" value="${institution.endDate }"/>
								<a style="float: right;" class="inputDateButton" href="javascript:;">选择</a>
								</p>
							</td>
						</tr>
					</table>
					<div class="subBar">
						<ul>
							<li>
								<div class="buttonActive">
									<div class="buttonContent">
										<button type="submit">
											检索
										</button>
									</div>
								</div>
							</li>
							<li>
								<div class="buttonActive">
									<div class="buttonContent">
										<button type="button" id="clearButton" class="clearButton">
											清除
										</button>
									</div>
								</div>
							</li>
						</ul>
					</div>
				</div>
			</div>
		</form>
		<div class="pageContent">
			<div class="panelBar">
				<ul class="toolBar">
					<%--<c:if test="${not empty article.id}">
					<li>
						<a class="add" href="<%=path %>${requestPath }toArticleAffiliationEdit?articleId=${article.id}" target="dialog" mask="true" rel="edit_affiliation" width="560" height="360"  title="添加作者联系单位">
							<span>添加</span>
						</a>
					</li>
					</c:if>
					--%>
					<li>
						<a class="add" href="<%=path %>${requestPath }toAffiliationEdit?&rel=${relPage}" target="dialog" title="编辑机构信息" mask="true" width="560" height="360"  rel="edit_add"><span>添加</span></a>
					</li>
					<li class="">
						<a class="merge" alertMsg="确实要合并这些记录么？" title="合并机构"  target="selectedTodo" dialogSelectType="dialog" rel="ids" mask="true" width="1200" height="560"  rel="edit_merge" href="<%=path %>${requestPath }mergeAffiliation?relPage=${relPage}"><span>合并</span></a>
					</li>
					<li class="line"></li>
					<li>
						<a class="add" href="<%=path %>${requestPath }initAll?rel=${relPage}" target="ajaxTodo" title="确定要初始化全部机构数据吗?<br><br>会清除全部数据后。">
							<span>初始化全部机构数据</span>
						</a>
					</li>
				</ul>
			</div>
			<table class="table" width="100%" layoutH="140">
				<thead>
					<tr>
						<th width="20" align="center">
							<input type="checkbox" group="ids" class="checkboxCtrl">
						</th>
						<th width="20" align="center">
							序号
						</th>
						<th align="center">
							中文机构名称
						</th>
						<th align="center">
							英文机构名称
						</th>
						<th align="center">
							地址信息
						</th>
						<th align="center" width="120">
							查看相关文章
						</th>
						<th width="150" align="center">
							操作
						</th>
					</tr>
				</thead>
				<tbody>
					<c:forEach items="${pagerFilter.objs}" var ="item" varStatus="r">
						<tr target="ids" rel="${item.id }">
							<td>
								<input name="ids" value="${item.id }" type="checkbox">
							</td>
							<td>
								${r.index + 1}
							</td>
							<td style="text-align: left;">
								${item.nameCn}
							</td>
							<td style="text-align: left;">
								${item.nameEn}
							</td>
							<td style="text-align: left;">
								<p style="padding: 5px;">${item.addressCn}</p>
								<p style="padding: 5px;">${item.addressEn}</p>
							</td>
							<td class="search_info_add_cn" ncId="${item.id }" val="${item.nameCn}">
								<a id="search_a_${item.id }" href="<%=path %>${requestPath }getArticleAffiliationPage?addressCn=${item.nameCn}&beginDate=${institution.beginDate }&endDate=${institution.endDate }" target="navTab" title="${item.nameCn} 相关文章" rel="w_article_files">查看相关文章<c:if test="${item.articleCount > 0 }">(${item.articleCount})</c:if></a>
							</td>
							<td>
								<a href="<%=path %>${requestPath }toAffiliationEdit?id=${item.id}&rel=${relPage}" target="dialog" title="编辑机构信息" mask="true" width="560" height="360"  rel="edit_add">编辑</a>
								&nbsp;&nbsp;
								<a href="<%=path %>${requestPath }deleteAffiliation?ids=${item.id}&rel=${relPage}" target="ajaxTodo" title="确定要删除吗?">删除</a>
							</td>
						</tr>
					</c:forEach>
				</tbody>
			</table>
			<!-- 分页 -->
			<tags:pagerBar></tags:pagerBar>
		</div>

	</body><%--

<script type="text/javascript">
	$(document).ready(function() {
		$.each($(".search_info_add_cn"), function(ind,val){
			var id = $(val).attr("ncId");
			var searchVal = $(val).attr("val");
			//console.log(id + "  " + searchVal);
			
			$.ajax({
			    url: "<%=path %>${requestPath}/getArticleAffiliationInfoCount",  
			    type: "GET",  // 请求类型，可根据实际情况调整
			    data: {
			      id: id,  // 将 id 作为请求参数传递
			      adds: searchVal  // 将 searchVal 作为请求参数传递
			    },
			    success: function(response) {
			      // 处理查询成功的响应
			      //console.log("查询成功：", response);
			      
			      var count = response[id];
			      //console.log(count);
			      if(count > 0){
			    	  var a = $("#search_a_"+id);
			    	  var originalText = a.text();
			    	  console.log(originalText);
			    	  a.text(originalText + "("+count+")");
			      }
			    },
			    error: function(error) {
			      // 处理查询失败的情况
			      console.log("查询失败：", error);
			    }
		  	});
		})
	});
</script>
--%></html>
